package com.gct.dlview.service;

import com.gct.common.core.result.Result;
import com.gct.dlview.entity.DeepLearnTrainServer;
import com.baomidou.mybatisplus.extension.service.IService;
import com.gct.dlview.entity.vo.PageBody;

import java.util.List;

/**
 * <p>
 *  服务类
 * </p>
 *
 * @author lloyd
 * @since 2021-08-15
 */
public interface DeepLearnTrainServerService extends IService<DeepLearnTrainServer> {

    Result getPageByCondition(PageBody<DeepLearnTrainServer> pageBody);

    Result getOneByCondition(DeepLearnTrainServer condition);

    Result deleteOneById(DeepLearnTrainServer condition);

    Result deleteBatchById(List<DeepLearnTrainServer> condition);


    Result saveOne(DeepLearnTrainServer deepLearnTrainServer);
}
